%define	module	Bit-Vector
%define	version	6.3
%define	release	4mdk
%define	pdir	Bit

%define TEST 1
%{?_with_test: %{expand: %%global TEST 1}}
%{?_without_test: %{expand: %%global TEST 0}}

Summary: 	%{module} module for perl
Name: 		perl-%{module}
Version: 	%{version}
Release:	%{release}
License: 	GPL or Artistic
Group:		Development/Perl
Source:		ftp://ftp.perl.org/pub/CPAN/modules/by-module/%{pdir}/%{module}-%{version}.tar.bz2
Url:		http://search.cpan.org/search?dist=%{module}
Buildroot:	%{_tmppath}/%{name}-%{version}-buildroot
BuildRequires:	perl-devel

%description
%{module} module for perl.
Bit::Vector is an efficient C library which allows you to handle
bit vectors, sets (of integers), "big integer arithmetic" and
boolean matrices, all of arbitrary sizes.

%prep
%setup -q -n %{module}-%{version}
chmod -R u+w examples

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make OPTIMIZE="$RPM_OPT_FLAGS"

%if %{TEST}
LANG=C %make test
%endif

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean 
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,755)
%doc CHANGES.txt CREDITS.txt INSTALL.txt README.txt examples
%{_mandir}/man3/Bit::Vector*
%dir %{perl_vendorarch}/Bit
%{perl_vendorarch}/Bit/Vector*
%dir %{perl_vendorarch}/auto/Bit
%{perl_vendorarch}/auto/Bit/Vector*
%exclude %{_mandir}/man3/Carp::*
%exclude %{perl_vendorarch}/Carp*

%changelog
* Thu Feb 12 2004 Luca Berra <bluca@vodka.it> 6.3-4mdk
- rebuild for perl 5.8.3

* Tue Dec 30 2003 Luca Berra <bluca@vodka.it> 6.3-3mdk
- add parent dirs (distriblint)
- fixed permissions on examples

* Wed Oct 15 2003 Luca Berra <bluca@vodka.it> 6.3-2mdk
- added examples to documentation

* Sun Oct 05 2003 Luca Berra <bluca@vodka.it> 6.3-1mdk
- Initial build.
